Results 1 to 4 of 4

Thread: Installing toolchain - please help

  1. #1
    Join Date
    May 2004
    Location
    Moscow, Russia
    Posts
    50

    Installing toolchain - please help

    Hello, all

    While trying to deploy environment for building some binaries for wl-500g I ran over some problems. Could any kind soul help me in building environment?

    I use Colinux 0.6.2 as host system. I've managed to install it and make it running, downloaded ASUS GPL distribution on separate partition and untarred it. Then, according to ASUS README file created sym link to
    /opt/brcm/hndtools-mipsel-uclibc/bin pointing to /opt/broadcom/opt/brcm/hndtools-mipsel-uclibc-3.2.3/bin/
    and added /opt/brcm/hndtools-mipsel-uclibc/bin to PATH
    After then while trying to compile "Hello world" program I got

    Code:
    colinux:~# mipsel-uclibc-gcc hello.c
    /opt/brcm/hndtools-mipsel-linux-3.2.3/lib/gcc-lib/mipsel-linux/3.2.3/../../../../mipsel-linux/bin/ld: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /opt/brcm/hndtools-mipsel-linux-3.2.3/lib/gcc-lib/mipsel-linux/3.2.3/../../../../mipsel-linux/bin/ld)
    collect2: ld returned 1 exit status
    I definetely messed some steps , but what steps ?

    I am not a Linux man, and probably missed some specifics like apt-get or smthg?

    Please help,
    and thanks in advance.
    Roofcat

    PS. I will readily create step-by-step instructions based on mine expirience.

  2. #2
    Join Date
    Dec 2003
    Location
    Russian Federation
    Posts
    8,353
    You do not need to create symbolic link, just move toolchain as is, i.e. it should be /opt/brcm/...

  3. #3
    Join Date
    May 2004
    Location
    Moscow, Russia
    Posts
    50
    Quote Originally Posted by Oleg
    You do not need to create symbolic link, just move toolchain as is, i.e. it should be /opt/brcm/...
    Ok, tried it this way - same story.

    I've got two suspects:

    1) I've noticed that in
    Code:
    colinux:~# mipsel-uclibc-gcc hello.c
    /opt/brcm/hndtools-mipsel-linux-3.2.3/lib/gcc-lib/mipsel-linux/3.2.3/../../../../mipsel-linux/bin/ld: /lib/libc.so.6: version `GLIBC_2.3' not found 
    (required by /opt/brcm/hndtools-mipsel-linux-3.2.3/lib/gcc-lib/mipsel-linux/3.2.3/../../../../mipsel-linux/bin/ld)
    collect2: ld returned 1 exit status
    hndtools-mipsel-linux-3.2.3 is mentioned but I added hndtools-mipsel-uclibc/bin to my PATH. Does it matter?

    2) Colinux 0.6.2 use 2.6 kernel
    Code:
    colinux:~# uname -a
    Linux colinux 2.6.10-co-0.6.2 #5 Sat Feb 5 10:19:16 IST 2005 i686 unknown
    Should I use earlier version with 2.4 kernel instead?

    Regards,
    Roofcat

  4. #4
    Join Date
    Dec 2003
    Location
    Russian Federation
    Posts
    8,353
    your GLIBC is outdated - you may want to try other colinux distribution... This is not toolchain related.

Similar Threads

  1. Tweaking the toolchain
    By unaiur in forum WL-500g Custom Development
    Replies: 1
    Last Post: 16-09-2005, 20:23
  2. wl500/wlhdd toolchain on gentoo
    By ray in forum WL-500g Q&A
    Replies: 4
    Last Post: 09-08-2005, 01:44
  3. custom glib based toolchain
    By ja.ro in forum WL-500g Custom Development
    Replies: 2
    Last Post: 10-04-2005, 01:46
  4. Broadcom toolchain diff's
    By mctiew in forum WL-500g Custom Development
    Replies: 3
    Last Post: 02-03-2005, 11:24
  5. toolchain question (c++ ?)
    By QuarterPounder in forum WL-500g Custom Development
    Replies: 5
    Last Post: 28-05-2004, 14:57

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •